# Events

## OnBlur

![](/files/-MKrEXMtt-cKxX0wnRgm)

Este evento se dispara cuando se presiona la tecla de intro del teclado y no tenga algún tipo de edición

[Generales del evento](https://docs.apphive.io/global-functions/events/generales-de-los-eventos)

## OnChange

![](/files/-MKrEdwH10Z-TFgFMwcM)

Se activa cuando el valor del field cambia [ver más](https://docs.apphive.io/global-functions/events/onchange)

## OnFocus

![](/files/-MKrEkJPTpb8qLDGHV2R)

El evento onFocus se activa cuando se selecciona el componente y está activo para comenzar a ingresar texto en él.

[Generales del evento](https://docs.apphive.io/global-functions/events/generales-de-los-eventos)

## OnMaskMatched

![](/files/-MKrErd_qoxQ5sMprUwK)

El evento OnMaskMatched se activa siempre que exista un [inputMark](https://docs.apphive.io/reference/controles/field/data#input-mask) y y el texto coincida con el tipo de inputMask definido anteriormente

[Generales del evento](https://docs.apphive.io/global-functions/events/generales-de-los-eventos)

## onSubmitEditing

![](/files/-MKrEwocL6S9Y7Q-GilS)

Este evento se dispara cuando se presiona la tecla de intro del teclado y se envíe algún tipo de edición

[Generales del evento](https://docs.apphive.io/global-functions/events/generales-de-los-eventos)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.apphive.io/apphive-documentacion/reference/controles/field/events.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
